/* ==============================================================================
 * 功能描述：ServiceMBIClientHandler  
 * 创 建 者：Garrett
 * 创建日期：2019/4/12 15:08:46
 * ==============================================================================*/

using System;
using System.Windows.Forms;
using TaskDatabase;
using TaskDatabase.Model;

namespace Client.Start
{
    /// <summary>
    /// ServiceMBIClientHandler
    /// </summary>
    public class ServiceMBIClientHandler
    {
        private static ClientApp m_Client;
        public static void Start()
        {
            //192.168.20.225
            m_Client = new ClientApp("192.168.20.225", 6666, "E:\\", 3, new RevitCmdExecutor(), 5);
            m_Client.Start();
            //Console.ReadKey();
        }

        public static void Stop()
        {
            m_Client?.Close();
        }
    }
}
